Skip to main content
POST
Create custom column

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Body

application/json
object_type
enum<string>
required

The type of the object the custom column is scoped to, usually project

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
object_id
string<uuid>
required

The ID of the scoping object. Use the project ID for project logs, experiment spans, and the experiments list. Use the dataset ID for dataset rows

subtype
required

The child object type the custom column applies to, such as experiment or project_log. Use an empty string when the column applies directly to the scoping object, such as a dataset

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
name
string
required

The name of the custom column

expr
string
required

The expression used to extract the value for the custom column

variant
enum<string>

The table variant the custom column applies to. If omitted, defaults to the nonempty subtype, or otherwise to object_type. Set experiment_list explicitly to target the experiments list instead of experiment details. Use the same scope when creating and listing columns

Available options:
project,
experiment,
dataset,
project_log,
experiment_list

Response

Returns the new custom column object

id
string<uuid>
required

Unique identifier for the custom columns

object_type
enum<string>
required

The object type that the ACL applies to

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
object_id
string<uuid>
required

The id of the object the custom column is scoped for

subtype
required

The object type that the ACL applies to

Available options:
organization,
project,
experiment,
dataset,
prompt,
prompt_session,
group,
role,
org_member,
project_log,
org_project,
org_audit_logs,
project_group,
project_group_projects,
ai_secret,
org_ai_secret,
org_account
variant
enum<string>
required

The table variant that the custom column applies to

Available options:
project,
experiment,
dataset,
project_log,
experiment_list
name
string
required

The name of the custom column

expr
string
required

The expression used to extract the value for the custom column

created
string<date-time> | null

Date of custom columns creation